PDA

Archiv verlassen und diese Seite im Standarddesign anzeigen : Client requested nur GPU tasks



Fooly
25.06.2009, 23:28
Hallo zusammen!

Hab mich entschlossen auf meinem Quadcore und meinem Dualcore je eine CPDN WU rechnen zu lassen.

Beim Quadcore, der keine CUDA-fähige Grafikkarte besitzt funzt es einwandfrei, er hat sich ne CPDN WU gezogen. Der Dualcore auf dem auch noch auf der GPU GPUgrid läuft requested sinnigerweise bei CPDN immer GPU-work, die er logischerweise nicht bekommt. Nach Arbeit für die CPU fragt er aber gar nicht. :undecided:

Ich benutz den aktuellen Client 6.6.36. Kann man das irgendwie beheben?

bieboderbeste
26.06.2009, 12:13
Hi. Ich hab dasselbe Problem bei WCG gehabt gestern abend, der Bunker wurde leerer und anstatt Arbeit für die CPU anzufordern wollte er von WCG nur GPU-Arbeit. Bei mir hats nur geholfen den Clienten neu zu starten und nachdem nur noch 3 WU´s vorhanden waren auf dem Quad. Hab extra noch die GPU-Arbeit bei den Einstellungen rausgenommen aber das trifft ja bei dir dann auch nicht zu wegen GPUGrid. Ich benutze übrigens auch den 6.6.36

Edit: Hab jetzt ein Downgrade auf Version 6.4.7 bei meinem Q6600 gemacht da ich die vorhandene 8400GS eh nich wirklich für Cuda benutzen kann. Jetzt lädt er sogar wieder selbsständig CPU-Arbeit runter. :sad:

Gruß bieboderbeste

Rolf@SG
26.06.2009, 15:45
Moin.
Auf 2 von meinen 3 Cuda-fähigen Rechnern bin ich mittlerweile von 6.6.36 auf 6.6.31 zurückgegangen. Ich habe jetzt nicht mehr diese blöden Fehler.
Auf dem 3. Rechner läuft eine NVidia 8600GS. Auf dem PC wird außer Cuda sonst nur und ausschließlich WCG gerechnet. WCG ist ja nicht 100% Boinc kompatibel - in diesem Fall ist das allerdings von Vorteil. Er fragt - natürlich - zuerst, ob GPU-WU´s vorhanden sind, aber danach auch, ob CPU WU´s vorhanden sind. Wenn weniger als 10% aller Projekte die vorhanden sind, u.a. Cuda-fähig sind, ist es natürlich logisch, das zuerst nach der GPU gefragt wird. :lipsrsealed:
Auf meinem 4. PC, ein Mini-Barebone habe ich das hier "Grafikkarte benutzen wenn der Computer benutzt wird" ausgeschaltet - und schon läuft 6.6.36 auch dort einwandfrei.

@Fooly: du hast ja diese "Signatur" (http://www.boincstats.com/signature/user_1404509.gif). Ich würde eine mit "Banner_Bam" bevorzugen: mit 2 Spalten (http://www.boincstats.com/signature/user_1404509_banner_bam.gif) oder sogar mit 3 Spalten (http://www.boincstats.com/signature/user_1404509_banner3_bam.gif). So sieht man doch wesentlich schneller, das du 3*19=57 Projekte bei Boinc-Stats hast, oder?

Fooly
29.06.2009, 23:40
Moin.
Auf 2 von meinen 3 Cuda-fähigen Rechnern bin ich mittlerweile von 6.6.36 auf 6.6.31 zurückgegangen. Ich habe jetzt nicht mehr diese blöden Fehler.


Hm,wo krieg ich denn die 6.6.31 zum Download her? Und wie kann ich den Client einfach so downgraden? Also einfach die alte Version drüberinstallieren?

PoHeDa
29.06.2009, 23:48
Hallo Fooly

hier alle Versionen:

http://boincdl.ssl.berkeley.edu/dl/

bieboderbeste
30.06.2009, 12:05
Hm,wo krieg ich denn die 6.6.31 zum Download her? Und wie kann ich den Client einfach so downgraden? Also einfach die alte Version drüberinstallieren?

Genau, du lädst dir einen Clieneten runter der sich in Pohedas Liste befindet und installierst ihn, das funzt genauso wie bei einem Upgrade. Client ausschalten, Installation starten und schon hat man nen neueren oder halt nen älteren Clienten installiert. Das Starten aber nich vergessen. ;)

Gruß bieboderbeste

Fooly
30.06.2009, 13:22
Genau, du lädst dir einen Clieneten runter der sich in Pohedas Liste befindet und installierst ihn, das funzt genauso wie bei einem Upgrade. Client ausschalten, Installation starten und schon hat man nen neueren oder halt nen älteren Clienten installiert. Das Starten aber nich vergessen. ;)

Gruß bieboderbeste

Na dann werd ich das heute mal so machen. Hab inzwischen auch bissel rausgefunden wie der 6.6.36 das wohl macht. Sobald ich nämlich z. B. eine GPUgrid WU habe und die aktiv ist, werden auch wieder CPU WUs von anderen Projekten requested. Hab ich keine GPU WU, dann fragt er manche Projekte nur nach GPU WUs, auch wnen die gar keine liefern können.

Danke euch allen nochmal für die hilfreichen Antworten! :)

Muß gelegentlich auf meine Neuanschaffung, den Core i7 noch Linux draufkloppen, dann wird das auch gleich boincifiziert. ;)

Rolf@SG
30.06.2009, 19:18
Die Boinc-Version 6.4.7 ist dann geeignet, wenn nur die CPU rechnet und die Grafikkarte für GPU-Computing nicht geeignet ist. Dann wäre eine 6.6.xx Version "oversized" - genau wie auf meinem Mini-Barebone.
Selbst wenn ich nur eine 8400GS wie bieboderbeste hätte, würde ich mich sofort mit einer 6.6.xx Verson beschäftigen. Diese Versionen haben, was den Cuda-Support anbelangt, doch gewaltige Fortschritte gegenüber der 6.4.7. Version.
Anscheinend implementieren die Boinc Entwickler innerhalb der Cuda-Weiterentwicklung bzw. der Prioritäten-Vergabe im Moment noch ein paar Sachen, die sich später als "Griff ins Klo" herausstellen... :D